﻿using Infragistics.Controls.Grids;
using Infragistics.Controls.Grids.Primitives;
using Infragistics.Windows;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Controls.Primitives;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace CASE_183859
{
    /// <summary>
    /// MainWindow.xaml の相互作用ロジック
    /// </summary>
    public partial class MainWindow : Window
    {
        ObservableCollection<TestData> testData = null;
        public MainWindow()
        {
            InitializeComponent();

            testData = new ObservableCollection<TestData>();

            testData.Add(new TestData { Type = "color", Value = "Red"});
            testData.Add(new TestData { Type = "image", Value = @"..\..\Image\Penguins.jpg" });
            testData.Add(new TestData { Type = "font", Value = "test font" });

            this.DataContext = testData;

            MyGrid.Columns.Add(new TextColumn()
            {
                Key = "Type",
                HeaderText = "Type"
            });

            MyGrid.Columns.Add(new TemplateColumn()
            {
                Key = "Value",
                HeaderText = "Value",
                ItemTemplate = MyGrid.FindResource("myTemplate") as DataTemplate
            });
        }

    }

    public class TestData : INotifyPropertyChanged
    {
        private String m_type;
        public String Type
        {
            get { return m_type; }
            set
            {
                m_type = value;
                NotifyPropertyChanged("Type");
            }
        }

        private String m_value;
        public String Value
        {
            get { return m_value; }
            set
            {
                m_value = value;
                NotifyPropertyChanged("Value");
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        private void NotifyPropertyChanged(String info)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(info));
            }
        }
    }
}
